<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 10, right: 20, bottom: 20, left: 20 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Arrays
  const points = [
    innerWidth / 2 - 60,
    innerWidth / 2 - 30,
    innerWidth / 2,
    innerWidth / 2 + 30,
    innerWidth / 2 + 60
  ];

  // All lights with a higher index are on!
  let index = points.length;

  $:index

  // Color
  let color = "darkred";

  const interval_settings = setInterval(() => {
    index=index-1;
  }, 1000);

</script>

<svg {width} {height} viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each points as point,idx}
      {#if index <= -1} 
      <circle class="circles-on" cx={point} cy = 35 r = 10></circle>
      {clearInterval(interval_settings)}

      {:else if index <= idx}
      <circle class="circle-on" cx={point} cy = 35 r = 10></circle>
      {:else}
      <circle class="circle-off" cx={point} cy = 35 r = 10></circle>
      {/if}


    {/each}
  </g>
</svg>

<style>
  .circle-off {
    fill:darkred;
    fill-opacity:0.3;
  }
  .circle-on {
    fill:darkred;
    fill-opacity: 1;
  }
  .circles-on {
    fill:darkgreen;
    fill-opacity:1;
  }
</style>
